Bug 1647216 - Lack of edit_smart_proxies permission causes error when setting host to Build
Summary: Lack of edit_smart_proxies permission causes error when setting host to Build
Keywords:
Status: POST
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Capsule
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-06 21:25 UTC by Dylan Gross
Modified: 2019-12-02 04:23 UTC (History)
5 users (show)

Fixed In Version: foreman-1.20.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:47 UTC
Foreman Issue Tracker 25248 None None None 2018-11-07 07:55:59 UTC
Red Hat Knowledge Base (Solution) 3679751 None None None 2018-11-06 21:38:05 UTC

Description Dylan Gross 2018-11-06 21:25:20 UTC
Description of problem:

  Lack of edit_smart_proxies permission causes error when setting host to Build.

When a non-admin user does not have the edit_smart_proxies filter on their role, they will receive an error popup saying:   
    "Failure deploying via capsule <capsule.name>: true"

  Upstream already appears aware of this: 

       https://projects.theforeman.org/issues/25248


Version-Release number of selected component (if applicable):

  Red Hat Satellite 6.4.0

How reproducible:  Always

Steps to Reproduce:
1.  As a non-admin user without "edit_smart_proxies" filter, select a host, then click "Build"


Actual results:

   Error saying:   "Failure deploying via capsule <capsule.name>: true"

Expected results:

   No error message.
 
Additional info:

Comment 7 Lukas Pramuk 2019-02-26 13:04:02 UTC
VERIFIED.

@satellite-6.5.0-6.beta.el7sat.noarch
foreman-1.20.1.10-1.el7sat.noarch

by the manual reproducer desribed in comment #0:

1) Have a Satellite with Internal Capsule set up 

2) Clone Manager role but edit filter for Capsule and remove "edit_smart_proxies" perm

3) Create non-admin user "tester" and assign him the only role created in previous step

4) As user "tester" provision a host

5) As user "tester" try to set the host from previous step to Build

FIX: 
Popup appears with the info but no warnings/errors

vs. 

REPRO:
Popup appears with the following error
--------------

(x) The following errors may prevent a successful build:

Capsules

    Failure deploying via capsule <SAT_FQDN>: true.

--------------

Comment 10 errata-xmlrpc 2019-05-14 12:38:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222

Comment 11 Bryan Kearney 2019-11-06 11:00:28 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25248 has been resolved.


Note You need to log in before you can comment on or make changes to this bug.